| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cv::kinfu::Params Struct Reference
Kinect_fusion

`#include <opencv2/rgbd/kinfu.hpp>`

## Public Member Functions
| Params ()
| Params (Matx33f volumeIntialPoseRot, Vec3f volumeIntialPoseTransl)
| Constructor for Params Sets the initial pose of the TSDF volume. More...
| Params (Matx44f volumeIntialPose)
| Constructor for Params Sets the initial pose of the TSDF volume. More...
void | setInitialVolumePose (Matx33f R, Vec3f t)
| Set Initial Volume Pose Sets the initial pose of the TSDF volume. More...
void | setInitialVolumePose (Matx44f homogen_tf)
| Set Initial Volume Pose Sets the initial pose of the TSDF volume. More...

## Static Public Member Functions
static Ptr< Params > | coarseParams ()
| Coarse parameters A set of parameters which provides better speed, can fail to match frames in case of rapid sensor motion. More...
static Ptr< Params > | defaultParams ()
| Default parameters A set of parameters which provides better model quality, can be very slow. More...

## Public Attributes
int | bilateral_kernel_size
| Kernel size in pixels for bilateral smooth. More...
float | bilateral_sigma_depth
| Depth sigma in meters for bilateral smooth. More...
float | bilateral_sigma_spatial
| Spatial sigma in pixels for bilateral smooth. More...
float | depthFactor
| pre-scale per 1 meter for input values More...
Size | frameSize
| frame size in pixels More...
float | icpAngleThresh
float | icpDistThresh
| distance theshold for ICP in meters More...
std::vector< int > | icpIterations
Matx33f | intr
| camera intrinsics More...
Vec3f | lightPose
| light pose for rendering in meters More...
int | pyramidLevels
| Number of pyramid levels for ICP. More...
float | raycast_step_factor
| A length of one raycast step. More...
float | truncateThreshold
| Threshold for depth truncation in meters. More...
int | tsdf_max_weight
| max number of frames per voxel More...
float | tsdf_min_camera_movement
| Minimal camera movement in meters. More...
float | tsdf_trunc_dist
| distance to truncate in meters More...
Vec3i | volumeDims
| Resolution of voxel space. More...
Affine3f | volumePose
| initial volume pose in meters More...
float | voxelSize
| Size of voxel in meters. More...

## Constructor & Destructor Documentation

## ◆ Params() [1/3]

cv::kinfu::Params::Params | ( |  | ) |
| inline

## ◆ Params() [2/3]

cv::kinfu::Params::Params | ( | Matx33f | volumeIntialPoseRot,
|  | Vec3f | volumeIntialPoseTransl
| ) |  |
| inline

Constructor for Params Sets the initial pose of the TSDF volume.

Parameters

  volumeIntialPoseRot | rotation matrix
  volumeIntialPoseTransl | translation vector

## ◆ Params() [3/3]

cv::kinfu::Params::Params | ( | Matx44f | volumeIntialPose | ) |
| inline

Constructor for Params Sets the initial pose of the TSDF volume.

Parameters

  volumeIntialPose | 4 by 4 Homogeneous Transform matrix to set the intial pose of TSDF volume

## Member Function Documentation

## ◆ coarseParams()

static Ptr<Params> cv::kinfu::Params::coarseParams | ( |  | ) |
| static

Coarse parameters A set of parameters which provides better speed, can fail to match frames in case of rapid sensor motion.

## ◆ defaultParams()

static Ptr<Params> cv::kinfu::Params::defaultParams | ( |  | ) |
| static

Default parameters A set of parameters which provides better model quality, can be very slow.

## ◆ setInitialVolumePose() [1/2]

void cv::kinfu::Params::setInitialVolumePose | ( | Matx33f | R,
|  | Vec3f | t
| ) |  |

Set Initial Volume Pose Sets the initial pose of the TSDF volume.

Parameters

  R | rotation matrix
  t | translation vector

## ◆ setInitialVolumePose() [2/2]

void cv::kinfu::Params::setInitialVolumePose | ( | Matx44f | homogen_tf | ) |

Set Initial Volume Pose Sets the initial pose of the TSDF volume.

Parameters

  homogen_tf | 4 by 4 Homogeneous Transform matrix to set the intial pose of TSDF volume

## Member Data Documentation

## ◆ bilateral_kernel_size

int cv::kinfu::Params::bilateral_kernel_size

Kernel size in pixels for bilateral smooth.

## ◆ bilateral_sigma_depth

float cv::kinfu::Params::bilateral_sigma_depth

Depth sigma in meters for bilateral smooth.

## ◆ bilateral_sigma_spatial

float cv::kinfu::Params::bilateral_sigma_spatial

Spatial sigma in pixels for bilateral smooth.

## ◆ depthFactor

float cv::kinfu::Params::depthFactor

pre-scale per 1 meter for input values

Typical values are: 5000 per 1 meter for the 16-bit PNG files of TUM database 1000 per 1 meter for Kinect 2 device 1 per 1 meter for the 32-bit float images in the ROS bag files

## ◆ frameSize

Size cv::kinfu::Params::frameSize

frame size in pixels

## ◆ icpAngleThresh

float cv::kinfu::Params::icpAngleThresh

angle threshold for ICP in radians

## ◆ icpDistThresh

float cv::kinfu::Params::icpDistThresh

distance theshold for ICP in meters

## ◆ icpIterations

std::vector<int> cv::kinfu::Params::icpIterations

number of ICP iterations for each pyramid level

## ◆ intr

Matx33f cv::kinfu::Params::intr

camera intrinsics

## ◆ lightPose

Vec3f cv::kinfu::Params::lightPose

light pose for rendering in meters

## ◆ pyramidLevels

int cv::kinfu::Params::pyramidLevels

Number of pyramid levels for ICP.

## ◆ raycast_step_factor

float cv::kinfu::Params::raycast_step_factor

A length of one raycast step.

How much voxel sizes we skip each raycast step

## ◆ truncateThreshold

float cv::kinfu::Params::truncateThreshold

Threshold for depth truncation in meters.

All depth values beyond this threshold will be set to zero

## ◆ tsdf_max_weight

int cv::kinfu::Params::tsdf_max_weight

max number of frames per voxel

Each voxel keeps running average of distances no longer than this value.

## ◆ tsdf_min_camera_movement

float cv::kinfu::Params::tsdf_min_camera_movement

Minimal camera movement in meters.

Integrate new depth frame only if camera movement exceeds this value.

## ◆ tsdf_trunc_dist

float cv::kinfu::Params::tsdf_trunc_dist

distance to truncate in meters

Distances to surface that exceed this value will be truncated to 1.0.

## ◆ volumeDims

Vec3i cv::kinfu::Params::volumeDims

Resolution of voxel space.

Number of voxels in each dimension.

## ◆ volumePose

Affine3f cv::kinfu::Params::volumePose

initial volume pose in meters

## ◆ voxelSize

float cv::kinfu::Params::voxelSize

Size of voxel in meters.

The documentation for this struct was generated from the following file:

- opencv2/rgbd/kinfu.hpp